<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <FrameLayout
        android:id="@+id/floating_window"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <com.google.android.material.card.MaterialCardView
            style="?attr/materialCardViewOutlinedStyle"
            android:layout_width="200dp"
            android:layout_height="200dp"
            android:layout_gravity="center"
            android:alpha="0.8"
            android:elevation="0dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">


                <com.google.android.material.checkbox.MaterialCheckBox
                    android:id="@+id/sw_connect"
                    style="@style/Widget.Material3.CompoundButton.CheckBox"
                    android:layout_width="wrap_content"
                    android:layout_height="36dp"
                    android:checked="true"
                    android:text="Connect"
                    android:textSize="14sp"
                    android:visibility="gone"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />


                <com.google.android.material.checkbox.MaterialCheckBox
                    android:id="@+id/sw_send"
                    style="@style/Widget.Material3.CompoundButton.CheckBox"
                    android:layout_width="match_parent"
                    android:layout_height="36dp"
                    android:layout_weight="1"
                    android:checked="true"
                    android:gravity="center"
                    android:text="NJ-01-01"
                    android:textSize="18sp"
                    app:layout_constraintStart_toStartOf="@id/sw_connect"
                    app:layout_constraintTop_toBottomOf="@id/sw_connect" />

                <LinearLayout
                    android:id="@+id/ll_version"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:paddingEnd="4dp"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <TextView
                        android:id="@+id/tv_version"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="0dp"
                        android:text="v1000"
                        android:textAlignment="center"
                        android:textSize="12sp" />

                    <TextView
                        android:id="@+id/tv_country"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="-4dp"
                        android:padding="0dp"
                        android:text="us"
                        android:textAlignment="center"
                        android:textSize="12sp" />
                </LinearLayout>


                <ScrollView
                    android:id="@+id/scroll"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:clipToPadding="false"
                    android:paddingBottom="20dp"
                    app:layout_constraintBottom_toTopOf="@id/tv_status"
                    app:layout_constraintTop_toBottomOf="@id/sw_send">

                    <TextView
                        android:id="@+id/tv_log"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:paddingStart="8dp"
                        android:paddingEnd="8dp"
                        android:textSize="12sp" />
                </ScrollView>

                <TextView
                    android:id="@+id/tv_status"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="waiting for configuration"
                    android:textAlignment="center"
                    android:textColor="?colorPrimary"
                    android:textSize="11sp"
                    app:layout_constraintBottom_toTopOf="@id/btns"
                    app:layout_constraintTop_toBottomOf="@id/scroll" />

                <GridLayout
                    android:id="@+id/btns"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:columnCount="4"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent">

                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/btn_req"
                        style="@style/Widget.Material3.Button"
                        android:layout_width="46dp"
                        android:layout_height="34dp"
                        android:layout_marginStart="2dp"
                        android:layout_marginEnd="2dp"
                        android:backgroundTint="@color/btn_color"
                        android:padding="0dp"
                        app:icon="@drawable/ic_autorenew"
                        app:iconGravity="textStart"
                        app:iconPadding="0dp" />

                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/btn_reset"
                        style="@style/Widget.Material3.Button.TonalButton"
                        android:layout_width="46dp"
                        android:layout_height="34dp"
                        android:layout_marginStart="2dp"
                        android:layout_marginEnd="2dp"
                        android:padding="0dp"
                        app:icon="@drawable/ic_refresh"
                        app:iconGravity="textStart"
                        app:iconPadding="0dp" />

                    <!--                    <com.google.android.material.button.MaterialButton-->
                    <!--                        android:id="@+id/btn_inspect"-->
                    <!--                        style="@style/Widget.Material3.Button.TonalButton"-->
                    <!--                        android:layout_width="46dp"-->
                    <!--                        android:layout_height="34dp"-->
                    <!--                        android:layout_marginStart="2dp"-->
                    <!--                        android:layout_marginEnd="2dp"-->
                    <!--                        app:icon="@drawable/ic_manage_search"-->
                    <!--                        app:iconGravity="textStart"-->
                    <!--                        app:iconPadding="0dp" />-->

                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/btn_more"
                        style="@style/Widget.Material3.Button.TonalButton"
                        android:layout_width="46dp"
                        android:layout_height="34dp"
                        android:layout_marginStart="2dp"
                        android:layout_marginEnd="2dp"
                        android:padding="0dp"
                        app:icon="@drawable/ic_more_horiz"
                        app:iconGravity="textStart"
                        app:iconPadding="0dp" />

                    <TextView
                        android:id="@+id/tv_count"
                        android:layout_width="48dp"
                        android:layout_height="wrap_content"
                        android:text="32"
                        android:textAlignment="center"
                        android:textSize="12sp" />
                </GridLayout>
            </androidx.constraintlayout.widget.ConstraintLayout>
        </com.google.android.material.card.MaterialCardView>
    </FrameLayout>
</layout>